package me.unurled.sacredrealms.sr.components.item.abilities;

/**
 * Represents an ability that an item can have.
 * TODO: Implement this class
 */
public class Ability {

    private final String name;
    private final String description;
    private final Integer cooldown;
    private final Integer manaCost;
    private final Integer damage;

    public Ability(String name, String description, Integer cooldown, Integer manaCost, Integer damage) {
      this.name = name;
      this.description = description;
      this.cooldown = cooldown;
      this.manaCost = manaCost;
      this.damage = damage;
    }

    public String getName() {
      return name;
    }

    public String getDescription() {
      return description;
    }

    public Integer getCooldown() {
      return cooldown;
    }

    public Integer getManaCost() {
      return manaCost;
    }

    public Integer getDamage() {
      return damage;
    }
}
