package me.unurled.sacredrealms.sr.data.gson;

import com.google.common.reflect.TypeToken;
import com.google.gson.Gson;
import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;
import java.lang.reflect.Type;
import java.util.Map;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

public class ItemStackDeserializer implements JsonDeserializer<ItemStack> {

    @Override
    public ItemStack deserialize(JsonElement jsonElement, Type type,
        JsonDeserializationContext jsonDeserializationContext) throws JsonParseException {
        Gson gson = new Gson();
        byte[] mm = gson.fromJson(jsonElement, byte[].class);
        if (mm != null) {
            return ItemStack.deserializeBytes(mm);
        }
        return null;
    }
}
